## visad
Class DelaunayWatson

    java.lang.Object
      visad.Delaunay
          visad.DelaunayWatson

All Implemented Interfaces:
  Serializable

public class DelaunayWatson
extends Delaunay

DelaunayWatson represents an O(N^2) method with low overhead to find the Delaunay triangulation or tetrahedralization of a set of samples of R^2 or R^3.

See Also:
  Serialized Form

Field Summary

Fields inherited from class visad.Delaunay
`Edges, NumEdges, Tri, Vertices, Walk`

Constructor Summary
`DelaunayWatson(float[][] samples)` construct a Delaunay triangulation of the points in the samples array using Watson's algorithm

Methods inherited from class visad.Delaunay
`clone, factory, finish_triang, getNonConvex, improve, perturb, sampleString, scale, setNonConvex, test, test, toString`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### DelaunayWatson

    public DelaunayWatson(float[][] samples)
                   throws VisADException

  construct a Delaunay triangulation of the points in the samples array using Watson's algorithm

Parameters:
  `samples` - locations of points for topology - dimensioned float[dimension][number_of_points]
Throws:
  `VisADException` - a VisAD error occurred